package org.cmh.backend.UserManagement.repository;
import org.cmh.backend.UserManagement.model.Tenant;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
public interface TenantManagementRepository extends JpaRepository<Tenant, Long>{
    Tenant findByName(String name);
    Tenant save(Tenant tenant);

    List<Tenant> findAll();

    Tenant findTenantById(Long id);

    Tenant deleteByName(String Name);

    void deleteById(Long id);
}
